Package io.vertx.kafka.client.serialization

## Class JsonArrayDeserializer

- java.lang.Object
- - io.vertx.kafka.client.serialization.JsonArrayDeserializer

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`, `org.apache.kafka.common.serialization.Deserializer<JsonArray>`

      public class JsonArrayDeserializer
      extends Object
      implements org.apache.kafka.common.serialization.Deserializer<JsonArray>

  Kafka deserializer for raw bytes in a buffer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JsonArrayDeserializer()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `void` | `configure​(Map<String,​?> configs, boolean isKey)` |
    `JsonArray` | `deserialize​(String topic, byte[] data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.kafka.common.serialization.Deserializer

      `deserialize, deserialize`

- - ### Constructor Detail

    - #### JsonArrayDeserializer

          public JsonArrayDeserializer()

  - ### Method Detail

    - #### configure

          public void configure​(Map<String,​?> configs,
                                boolean isKey)

      Specified by:
        `configure` in interface `org.apache.kafka.common.serialization.Deserializer<JsonArray>`

    - #### deserialize

          public JsonArray deserialize​(String topic,
                                       byte[] data)

      Specified by:
        `deserialize` in interface `org.apache.kafka.common.serialization.Deserializer<JsonArray>`

    - #### close

          public void close()

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `org.apache.kafka.common.serialization.Deserializer<JsonArray>`